Debianin tietoturvatiedote

DSA-307-1 gps -- useita haavoittuvuuksia

Ilmoitettu:
27. 5.2003
Vaikutuksen alaiset paketit:
gps
Altis:
Kyllä
Viittaukset tietoturvatietokantoihin:
Bugtraq-tietokannassa (SecurityFocuksella): BugTraq-tunniste 7736.
Mitren CVE-sanakirjassa: CVE-2003-0361, CVE-2003-0360, CVE-2003-0362.
Lisätietoa:

gPS on graafinen sovellus järjestelmäprosessien seuraamiseen. gps-paketin julkaisussa 1.1.0 korjattiin useita tietoturva-aukkoja, kuten muutoslokissa eritellään:

  • Korjaus rgpsp:n yhteyden muodostavan lähteen hyväksyntälinjaan (yhteyden muodostaminen oli mahdollista miltä tahansa isäntäkoneelta vaikka /etc/rgpsp.conf-tiedostossa olisi toisin määritelty). Tämä toimii nyt, mutta jokaisessa kunnon ("tuotanto") verkossa on suositeltavaa käyttää IP-suodatusta (kuten ipchains tai iptables) linjauksen vahvistamiseksi.
  • Korjauksia useisiin mahdollisiin puskurin ylivuototilanteisiin. Kiitos Stanislav Ievlev'ille (ALT-Linux) useimpien näiden osoittamisesta.
  • Korjaus rgpsp-protokollan komentoriviparametrien virheelliseen muotoiluun (rivinvaihdon sisältävät komentorivit rikkoivat protokollan).
  • Korjaus puskurin ylivuotovikaan joka aiheutti SIGSEGV-signaalin rgpsp:lle esitettäessä prosesseja joiden komentorivipituus oli suuri (>128 merkkiä) [vain Linux].

Kaikki nämä ongelmat koskevat Debianin gps-paketin versiota 0.9.4-1, joka sisältyy Debian woodyyn. Debian potato sisältää myös gps-paketin (versio 0.4.1-2), mutta se ei ole altis näille ongelmille sillä kyseisiä toiminnallisuuksia ei ole toteutettu tuossa versiossa.

Nämä ongelmat on korjattu vakaan jakelun (woody) versiossa 0.9.4-1woody1 .

Aiempi vakaa jakelu (potato) ei ole altis näille ongelmille.

Nämä ongelmat on korjattu epävakaan jakelun (sid) versiossa 1.1.0-1 .

Suosittelemme päivittämään gps-paketin.

Korjattu:

Debian GNU/Linux 3.0 (woody)

Lähde:
http://security.debian.org/pool/updates/main/g/gps/gps_0.9.4-1woody1.dsc
http://security.debian.org/pool/updates/main/g/gps/gps_0.9.4-1woody1.diff.gz
http://security.debian.org/pool/updates/main/g/gps/gps_0.9.4.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/g/gps/gps_0.9.4-1woody1_alpha.deb
http://security.debian.org/pool/updates/main/g/gps/rgpsp_0.9.4-1woody1_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/g/gps/gps_0.9.4-1woody1_arm.deb
http://security.debian.org/pool/updates/main/g/gps/rgpsp_0.9.4-1woody1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/g/gps/gps_0.9.4-1woody1_i386.deb
http://security.debian.org/pool/updates/main/g/gps/rgpsp_0.9.4-1woody1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/g/gps/gps_0.9.4-1woody1_ia64.deb
http://security.debian.org/pool/updates/main/g/gps/rgpsp_0.9.4-1woody1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/g/gps/gps_0.9.4-1woody1_hppa.deb
http://security.debian.org/pool/updates/main/g/gps/rgpsp_0.9.4-1woody1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/g/gps/gps_0.9.4-1woody1_m68k.deb
http://security.debian.org/pool/updates/main/g/gps/rgpsp_0.9.4-1woody1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/g/gps/gps_0.9.4-1woody1_mips.deb
http://security.debian.org/pool/updates/main/g/gps/rgpsp_0.9.4-1woody1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/g/gps/gps_0.9.4-1woody1_mipsel.deb
http://security.debian.org/pool/updates/main/g/gps/rgpsp_0.9.4-1woody1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/g/gps/gps_0.9.4-1woody1_powerpc.deb
http://security.debian.org/pool/updates/main/g/gps/rgpsp_0.9.4-1woody1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/g/gps/gps_0.9.4-1woody1_s390.deb
http://security.debian.org/pool/updates/main/g/gps/rgpsp_0.9.4-1woody1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/g/gps/gps_0.9.4-1woody1_sparc.deb
http://security.debian.org/pool/updates/main/g/gps/rgpsp_0.9.4-1woody1_sparc.deb

Listattujen tiedostojen MD5-tarkistussummat ovat luettavissa alkuperäisestä tiedotteesta.